Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.util
Class StringUtilities

    java.lang.Object
      com.dbxml.util.StringUtilities

public final class StringUtilities
extends java.lang.Object

StringUtilities provides a set of commonly used String processing routines.

Method Summary
`static java.lang.String` | `leftJustify(java.lang.String value, int width)` leftJustify left-justifies a String value, space padding to width characters if the string is less than width.
`static java.lang.String` | `rightJustify(java.lang.String value, int width)` rightJustify right-justifies a String value, space padding to width characters if the string is less than width.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### leftJustify

    public static java.lang.String leftJustify(java.lang.String value,
                                               int width)

  leftJustify left-justifies a String value, space padding to width characters if the string is less than width.

  Parameters:
    `value` - The value to left-justify
    `width` - The width to left-justify to
  Returns:
    The left-justified value

### rightJustify

    public static java.lang.String rightJustify(java.lang.String value,
                                                int width)

  rightJustify right-justifies a String value, space padding to width characters if the string is less than width.

  Parameters:
    `value` - The value to right-justify
    `width` - The width to right-justify to
  Returns:
    The right-justified value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group